<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="create_palette">
  <refnamediv>
    <refname>create_palette</refname>
    <refpurpose>Palette generator</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[routines,IntFunc] = create_palette(Path)</synopsis>
  </refsynopsisdiv>
  <refsection id="Module_create_palette">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="xcos">xcos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_create_palette">
    <title>Description</title>
    <para>
This function generates a palette if Path is a string indicating the directoy in which the interfacing functions of the blocks are to be found. If Path is not present or if it is %t, then standard scicos palettes are regenerated. If %f, then only IntFunc (list of interfacing functions) is returned. List of routines is empty in this case.  
</para>
    <para>
</para>
    <programlisting role="example"><![CDATA[ 
[routines,IntFunc] = create_palette(Path)
 ]]></programlisting>
  </refsection>
  <refsection id="Parameters_create_palette">
    <title>Parameters</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Path :</emphasis> a string given the directory path that contains Scicos blocks interfacing functions.</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">routines :</emphasis> a vector of strings that contains names of computational functions used in scicos blocks.</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">IntFunc :</emphasis> a vector of strings that contains names of interfacing functions used in scicos blocks.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Filecontent_create_palette">
    <title>File content</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos/macros/scicos_utils/create_palette.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
